2010-02-18
	* $memwithbuffers object and bar (sf.net #2954143), thanks kingfishr

2009-12-09
	* Replaced GHashTable with tr1::unordered_map in tcp_portmon.
	This means portmon no longer depends on glib.

2009-12-01
	* Reenable top objects for all target OS's

2009-11-24
	* Added support for max_text_width

2009-11-20
	* Allow for mpd connections to use IPv6

2009-11-19
	* Added support for $pid_read and $pid_write

2009-11-17
	* Added support for $format_time

2009-11-16
	* Added support for $pid_threads, $pid_thread_list, $pid_nice,
	$pid_priority, $pid_time_usermode, $pid_time_kernelmode and $pid_time
	* Added IPv6 support to $tcp_portmon

2009-11-15
	* Added support for $pid_parent, $pid_uid, $pid_euid, $pid_suid,
	$pid_fsuid, $pid_gid, $pid_egid, $pid_sgid and $pid_fsgid
	* Added support for $uid_name and $gid_name
	* Renamed $running_processes to $running_threads
	* Added real $running_processes
	* Added support for $pid_vmpeak, $pid_vmsize, $pid_vmlck, $pid_vmhwm,
	$pid_vmrss, $pid_vmdata, $pid_vmstk, $pid_vmexe, $pid_vmlib, $pid_vmpte

2009-11-14
	* Added support for $pid_state and $pid_state_short
	* Added support for $cmdline_to_pid
	* Make it possible to use other vars as arguments for the $pid_'s

2009-11-13
	* Add $conky_user_time (sf.net #2830919)
	* Drop adt746x objects
	* Added support for $pid_chroot
	* Added middle_middle alignment support

2009-11-12
	* Added support for $pid_environ_list, $pid_exe, $pid_openfiles,
	$pid_stdin, $pid_stdout and $pid_stderr

2009-11-11
	* Added support for $pid_cmdline, $pid_cwd, $pid_environ

2009-11-10
	* Fix $if_mpd_playing and $mpd_percent when you stop playing a song,
	thanks Sakari Matikka

2009-11-09
	* Fix $scroll only scrolls once

2009-11-08
	* Fix segfaults and memleaks in curl
	* Fix building with metar but without xoap

2009-11-07
	* Added support for $threads on Linux
	* Fixed bug in $processes on Linux
	* Fixed building with --disable-x11, --disable-xft, --disable-lua,
	--disable-ncurses and --disable-iostats
	* Added ncurses to the "-v" output when necessary

2009-10-25
	* Fixed loadavg and loadgraph argument parsing and corrected it's
	documentation.

2009-09-11
	* Fixed configure test failure. Tolua test program couldn't find lua
	libraries (even though they existed) and failed to compile.

2009-09-06
	* Rewrite hddtemp support for better scaling.

2009-08-10
	* Add day and date data_type to $weather_forecast

2009-08-03
	* Added support for $weather_forecast (experimental)

2009-08-01
	* Added support for out_to_ncurses

2009-07-31
	* Removed alias config option due to brokenness
	* Added support for $include

2009-07-29
	* Add icon data_type for xoap weather

2009-07-23
	* Changed xoap parsing method to xpath, in preparation to include
	forecast data

2009-07-19
	* Fixed out-of-tree builds
	* Update MPD elapsed/progress when stopped (sf.net #2792113)
	* Overhauled RSS and weather, added $curl

2009-07-18
	* Added compilation switch --enable-xoap to be able to use
	www.weather.com as a source of weather data (this avoids adding
	libxml2 as a required dependency for users that wish to use noaa
	and not weather.com)
	* Added support for X alignment across multi-lined objects (i.e., using
	$alignr with $exec)
	* Disabled OpenMP code until GCC's implementation stabilizes
	* www.weather.com can now be used as well as a source of weather data

2009-07-11
	* Added support for $desktop, $desktop_number and $desktop_name (sf.net #2040528)

2009-07-09
	* Added support for $swapfree
	* Improved Lua API (lua_read_parse has been removed in favour of the
	conky_parse() Lua API call)
	* Introduced new Lua Cairo and Imlib2 bindings

2009-07-08
	* Fixed a couple memory-related bugs

2009-07-06
	* Added support for $weather (experimental)

2009-07-04
	* Remove newline with comment only lines in TEXT
	* Improved parsing of graph arguments, removed "log"|"normal" arguments in
	favour of -l switch

2009-07-01
	* Fix escaping of comments in TEXT (sf.net #2813390, thanks Nils)

2009-06-29
	* Fix segfault in to_real_path, it's sometimes called with the same
	source and dest without checking the length, causing a segfault.

2009-06-20
	* Use the internal process list for if_running on Linux

2009-06-14
	* Fix XMMS2 related crash (sf.net #2806111 and #2805310, thanks Lassi)

2009-06-13
	* Added support for $blink
	* Added support for $to_bytes
	* Fix segfault due to bad checking of return values for inotify code
	(sf.net #2804886)
	* Added 'own_window_type panel' to make Conky behave like a panel (thanks
	Ole)

2009-06-12
	* Added support for per-task I/O statistics - $top_io

2009-06-11
	* Added border_inner_margin and border_outer_margin config options, and
	deprecated border_margin

2009-06-10
	* Fix regression with loading of non-Xft fonts (sf.net #2804324)

2009-06-09
	* Fixed a regression which causes fonts to not be rendered properly with
	certain types of windows
	* Added format_human_readable option (sf.net #2803345, thanks Vincent)
	* Fix bug in comments within TEXT (where the line contains just '#')
	(sf.net #2803586), thanks Pavelo
	* Fix bug in $mails (sf.net #2802529, thanks Nikos)

2009-06-08
	* $battery_short can now also display F (full), N (not present),E (empty),
	U (unknown)
	* Fix problem that $battery and $battery_short displayed unknown on some
	systems when the battery wasn't unknown but full

2009-06-06
	* Add support for membar,swapbar,cpubar,fs_bar,fs_bar_free,battery_bar,
	execbar,execibar,lua_bar,entropy_bar,mpd_bar,apcupsd_loadbar and
	wireless_link_bar
	* Fix finding IP before first update

2009-06-04
	* Add entropy_perc printing the available entropy as percentage
	* Add read_tcp to print stuff from tcp-sockets

2009-06-03
	* Improved Imlib2 cache control by adding a global cache flush option, and
	per image cache flushing

2009-05-24
	* Added fancy new 'temperature gradients' feature for graphs, via the -t
	switch at the end of graph arguments.
	* Allow ~/... and $HOME/... paths for more stuff.

2009-06-07
	* Conky 1.7.1 released

2009-05-31
	* Fix hostname resolution for mpd_host
	* Made sure that no X11 stuff is in the binary with --disable-X11

2009-05-19
	* Added inotify support to reload the config when modified automatically
	on systems that support it
	* Added inotify support for reloading Lua scripts automagically

2009-05-17
	* Added support for the Lua programming language
	* Added support for rending images by way of Imlib2
	* Patch to fix rounding error with CPU values (thanks Filipe)
	* Added support for execbar without X

2009-05-16
	* Added another builtin config that is used when compiled with --disable-X11

2009-05-13
	* Fix segfault when there is no config available

2009-05-12
	* Make sure if_gw isn't checked twice

2009-05-11
	* Added arguments to hwmon for value precalculation

2009-05-10
	* Added support for APC UPS daemon monitoring
	* Fixed hwmon for kernel 2.6.29

2009-05-09
	* Allow the use of '#' for comments within text area (can be escaped with
	'\#'

2009-05-08
	* Only include disp when needed
	* Made sure update_uname works without X11

2009-05-07
	* Fix occasional cpubar segfaults
	* Added top_name_width config option

2009-05-05
	* Added some completely pointless OpenMP optimizations(?)

2009-05-03
	* Added Sony VAIO fanspeed info (thanks Yeon-Hyeong)

2009-05-01
	* Added diskio_avg_samples patch (thanks Yeon-Hyeong)
	* Fixed $texeci regression

2009-04-30
	* Added $combine, a var that places 2 other vars next to each other, even if they
	have a output of multiple lines. This also makes the moving of RSS-itemes with
	$goto (see change from 2009-04-19) no longer necessary.

2009-04-28
	* Various XMMS2 updates (thanks Lassi)
	* Make ALSA mixers available on Linux, and added $if_mixer_mute (thanks

2009-04-19
	* Make it possible to place spaces in front of RSS-items as a workaround
	for the problem that $goto only moves the first RSS-item. This is only a
	workaround and should be replaced by a permanent fix that makes $goto move
	all RSS-items !

2009-04-13
	* Fix broken compilation without X11

2009-04-09
	* Added default_bar/graph/gauge_size config options (thanks wire64 for the
	idea)

2009-03-24
	* Added eval text object to realise double parsing

2009-03-15
	* Added gauge widget patch, sf.net id #2676128 (thanks Aner)

2009-05-01
	* Conky 1.7.0 "Hungry Hobo" released!

2009-04-28
	* Various XMMS2 updates (thanks Lassi)

2009-04-09
	* Fix broken xmms2 compilation (thanks fusetak)
	* Minor fix for fs_used_perc, fs_free and fs_free_perc (thanks
	lightpriest)

2009-03-28
	* Applied FreeBSD patches (thanks Nikos)

2009-03-16
	* Fix bug with wacky netstat values on startup

2009-03-15
	* Added extra newline patch, sf.net id #2638601 (thanks Ali)
	* Disk i/o support on FreeBSD patch, sf.net id #2657227 (thanks Nikos)
	* Added gauge widget patch, sf.net id #2676128 (thanks Aner)

2009-03-07
	* Added alias patch ( sf.net id #2663691 ) changed it to prevent it from
	overwriting existing environment variables and updated docs, syntaxfiles, ...

2009-03-01
	* Added if_updatenr
	* Rewrite human_readable() to minimise amount of padding
	* Fix padding in temp_print()
	* Fix padding of $processes and $running_processes

2009-02-17
	* Added $battery_short patch, sf.net id #2300911 (thanks Swoog)
	* Patch by Kim Holviala sf.net id #2484548:
		* change the height of execbar and execibar to be the same as other
		bars have by default (6 pixels)
		* treat mixer values as percentages as they're usually 0-100 (switch
		to spaced_print() with pad_percents)
		* change temp_print() from snprintf() to spaced_print()
		* remove decimals from temp_print() as none of the current sources can
		supply values smaller than 1 degree (C or F, doesn't matter)
		* fix number printing in human_readable()
		* network $upspeed and $downspeed now use human_readable()
	* Fix diskio_read/write patch sf.net id #2493084 (thanks Alexander)
	* Fix nvidia memory frequency reading patch sf.net id #2493134
	* Patch to clarify things in conky.conf sf.net id #2548805 (thanks
	Carpathia).
	* Fix shown battery status when the battery is not charging any more but
	is not full charged patch sf.net id #2556056 (thanks Martin)
	* Extended support for local Maildir patch sf.net id #2561323 (thanks
	Nicolas)
	* XMMS2 fix and refactoring patch sf.net id #2579357 (thanks Tamim)
	* Null mpd variables should have an empty string patch sf.net id #2564747

2009-02-15
	* Added out_to_x

2009-02-12
	* Added overwrite_file and append_file

2009-02-10
	* Added out_to_stderr

2009-02-08
	* Refactor top code, add top_time to sort by process cpu time (thanks
	sohalt).

2009-01-04
	* Drop --enable-smapi and use --enable-ibm instead
	* Make ibm-acpi objects optional (--enable-ibm)

2008-12-20
	* Add if_match object comparing strings, floats and ints

2008-12-18
	* Fix segfault for diskiograph*, note the changed order of arguments
	* Fix documentation for all graph objects

2008-12-17
	* Make gateway objects also detect routes with missing RTF_GATEWAY flag

2008-12-15
	* Have a maximum width for all variable length mpd vars
	* Patch to allow escaping newlines in the config (thanks Itai)

2008-12-14
	* Fix disk_protect for linux-2.6.27 (and hopefully above)
	* Improve behaviour of $pb_battery

2008-12-09
	* Add an option to timed_thread_test() to not wait for the interval period
	(so that IMAP IDLE works better)

2008-12-08
	* Fix runtime debugging macros again
	* Big hddtemp rewrite
	* Remove README from git and ignore it
	* Remove obsolete documentation

2008-12-07
	* Removing $freq_dyn and $freq_dyn_g due to license issues (see sf.net
	tracker bug #2166612)
	* Allow more than 9 CPUs for CPU stats (bug 2155500)
	* Fix broken $execbar (bug 2133709)
	* Don't put unit with hddtemp values for consistency (bug 2133107)
	* Limit $battery_percent to 100 (bug 2145006)
	* Fix runtime debugging macros
	* Make unit of all temperature objects selectable
	* Make Conky in dock mode a withdrawn window

2008-12-06
	* Switching from svn to git repository.  The repo can be viewed from
	http://git.omp.am/?p=conky.git;a=summary and you can clone the repo with:
	git clone git://git.omp.am/conky.git
	* Fix for wrong usage of strncat (thanks Pavol)
	* Adds a variable if_xmms2_connected to hide objects when xmms2d is not
	running (thanks Lassi)
	* Fix for buffer overflow with $execi (thanks Cesare)
	* Fetch volume through Audacious API (thanks Erik)

2008-12-06
	* Removed duplicate sanity check for diskio

2008-11-30
	* Added runtime debugging output

2008-11-29
	* Added template support

2008-10-08
	* Applied OpenBSD patches
	* Added $if_mpd_playing patch (thanks tarpman)

2008-09-24
	* Introduced (buggy) support for IMAP IDLE
	* Added support for MOC (the console audio player) (thanks henux)
	* Added scroll step patch (thanks asto)

2008-09-11
	* Maybe fix missing include bug
	(http://bugs.gentoo.org/show_bug.cgi?id=235233)
	* Improve timed_thread interval timing
	* Improve Conky's overall interval timing
	* Added small patch to support negative values (such as negative disk
	capacity) (thanks hinokind)

2008-09-10
	* Improved hddtemp support

2008-09-07
	* Fixed bug with freq_dyn on x86_64 (thanks Miroslav)
	* Fixed buffer overflow in update_net_stats() (thanks Miroslav)
	* Small fix for nvidia mem freq (thanks Cezary)

2008-08-14
	* Conky 1.6.1 released
	* Fix compile error when MPD support not enabled

2008-08-05
	* Add option to specify number of retries for IMAP/POP3 stuff (via -r)

2008-08-03
	* Smaller $nvidia improvements

2008-07-29
	* Added missing header to package dist

2008-07-21
	* Conky 1.6.0 released

2008-07-16
	* Fixed bug with $if_empty and $mpd_* vars (sf.net #2008752)

2008-07-06
	* Made log/normal argument for graphs optional

2008-07-03
	* Solve linking on problems on some systems (like Debian's Lenny)

2008-07-01
	* Add libgnu convenience lib, modules stdio and getaddrinfo.
	* Configure option for mathfunctions

2008-06-29
	* Fixed missing entries in Makefile.am
	* Get rid of obsolete gethostbyaddr and getservbyport

2008-06-28
	* Added sysfs AC adapter support patch (thanks Byron)
	* Added support for EVE-Online skill monitoring (thanks Asbjørn)

2008-06-25
	* new variables smapi_bat_temp and smapi_bat_power
	* improved docs for freq_dyn* variables

2008-06-21
	* Replaced the global text_object array and count with a
	text_object_list
	* Renamed various vars
	* Removed redundancy in various parts

2008-06-20
	* Use output_methods instead of out_to_console
	* Made some functions non-inline to compile with gcc 4.2 and higher

2008-06-19
	* Fixed compilation issues with --enable-testing
	* Refactored format_seconds and format_seconds_short
	* Changed addr to print "No Address" when there is no address
	* Removed redundancy in various parts
	* Split help output into a separate function

2008-06-17
	* Made defines of magic numbers

2008-06-16
	* Moved audacious defs into header
	* Fixed 3 bufferoverflows in a struct utmp in users.c

2008-06-09
	* Graphs can now be logarithmic (except execigraph)

2008-06-08
	* Bugfix, $memgraph wasn't working and needed docs
	* Code for $lines and $words
	* Bugfix, $execgraph showed 0-0 instead of 0-100 values

2008-06-07
	* Case-insensitive values for if_up_strictness 
	* Fix bug where DEV_NAME can read uninitialised memory
	* Fix bug where ${if_mounted /}foo$endif prints foo on 1 line for
	each update instead of just 1 line

2008-06-06
	* Code for $scroll
	* Code for $memfree and $memeasyfree

2008-06-05
	* Fix bug where conky prints everything twice to STDOUT when
	out_to_console is enabled
	* Code for show_graph_range
	* Code for $monitor and $monitor_number

2008-06-04
	* Fix bug where conky tries to free a already freed pointer when you
	use gw_iface with a empty routingtable in linux
	* Fix bug where conky tries to tries to display deleted chars in a
	string (chars followed by a backspace-char) causing strange output.

2008-06-03
	* Added NVIDIA Graficcard support patch (thanks meissna)
	* Added --quiet patch (thanks sceptik)

2008-05-30
	* Simplified docs for color0-9 config settings and variables.
	* Improved $if_up for configurable behaviour.

2008-04-29
	* own_window_type dock patch (thanks Morgan).
	* Fix for $if_up memleak (thanks Micha¿).

2008-04-12
	* Added patch for the following (thanks larsko):
		* New $loadgraph to show a graph of load averages,
		* add "show_graph_scale" option to turn off/on the showing of the
		current max value for the graph,
		* minor code fixes,
		* update nano and vim syntax highlighting stuff.

2008-04-10
	* Getting rid of goto usage throughout code.
	* Fix bug due to usage of gethostbyname() in threads (which is not
	reentrant) by using gethostbyname_r() when available.
	* Added patch for battery_time problem on 2.6.24 (thanks wedge).
	* Added patch to fix broken xmms2 stuff (thanks sleipner).
	* Added patch to fix SIGHUP/SIGUSR1 segfault (thanks norsetto).
	* Added patch to improve $if_up (thanks Aseem).

2008-04-02
	* Added patch to use mail_spool correctly (thanks Kapil)
	* Replacing strdup() with strndup() throughout

2008-04-01
	* Fixed segfault when configuration doesn't contain TEXT block (thanks
	Pippijn).

2008-03-31
	* Conky 1.5.1 released.
	* Added --enable-testing configure option to use insane compiler flags.

2008-03-30
	* Added mem_res and mem_vsize to $top.
	* Improved parsing of $diskio*, $disk_protect and $ioscheduler args.

2008-03-29
	* Increased C99 compliance.
	* Fixed potential segfault in get_ioscheduler().
	* Implemented upwards path traversal for fs_type.
	* Fixed bug in libmpdclient that caused file descriptors to be left open.
	* Cleaned up output of battery_* vars.

2008-03-28
	* Fixed messed up percentages (fs_free_perc, fs_used_perc, mpd_percent,
	battery_percent).

2008-03-24
	* Fixed for specifying a non-existent configuration file.
	* Added disk_protect.
	* Fixed too many open files bug in laptop_mode.
	* Fixed reading interface adresses.
	* Fixed battery_bar default size.

2008-03-23
	* Fixed compilation with --disable-x11.
	* Fixed linux.c compilation problem due to (suspected) broken linux
	headers.
	* $battery_bar sysfs fix (thanks Marcus).

2008-03-22
	* Conky 1.5.0 released.
	* Smapi review: improved code, fixed memleaks and smapi_bat_perc when
	using pad_percents.
	* Fixed spaced_print, so pad_percents should now work as expected.
	* Removed a line of dead code.
	* Added support for displaying the default gateway.
	* Support displaying current laptop_mode.
	* Per-disk IO scheduler information now available.
	* Support printing current nameservers.

2008-03-20
	* Added CRLF characters to POP3 and IMAP stuff (should play nicer with
	some servers now).
	* Added preliminary support for parsing the output of external commands
	(via $execp and $execpi).
	* Applied FreeBSD total memory patch (thanks Nikos).

2008-03-19
	* Fixed a number of small memory leaks.
	* Performed some minor profiling on Conky; reduced text_buffer_size
	default to 128 bytes to improve performance.
	* Fixed some minor bugs introduced by new patches.

2008-03-17
	* Applied 12 patches:
		1) sysfs battery support (for Linux >=2.6.24) (thanks Kapil)
		2) Improved audacious support patch (thanks Miroslav)
		3) tp_smapi support patch for IBM laptops (thanks Phil)
		4) user info patch (thanks Roland)
		5) added conky build info patch (thanks Roland)
		6) added if_up patch (thanks Phil)
		7) added reload on SIGHUP patch (thanks Jonas)
		8) added pad percentages patch (thanks Jonas)
		9) added fs_type patch (thanks Ryan)
		10) added xmms2 fixes patch (thanks Lassi)
		11) fix sysfs crash patch (thanks Phil)
		12) multiple ip patch ($addrs).
	* Added more alignment support (top_middle, bottom_middle, middle_left,
	and middle_right).

2008-02-08
	* Applied 2 patches:
		1) Add diskio for individual devices.
		2) Improved output of units, added "short_units" option.

2008-01-05
	* Applied some more submitted patches:
		1) Add long forms of (most of) the command-line options.
		2) Added an option (top_cpu_separate) that emulates top's "separate
		cpus" option.  Processor usage is shown as a percentage of a
		single processor on your system, instead of a percentage
		of all processors combined.
		3) Adds a parameter (time) to top and top_mem that will show the
		cumulative CPU time of a process.
		4) Simplified integer rounding.
		5) Fixed the window width when a goto is used.
		6) Fixed the window width when an offset is used.
		(thanks Kevin Lyles).

2007-12-31
	* Applied submitted patches:
		1) to suport Debian's kFreeBSD;
		2) to use realtime clock in timed threads and
		3) to fix get_ibm_acpi_volume zero value bug
		(thanks Kapil Hari Paranjape).

2007-11-22
	* Conky 1.4.9 released.

2007-11-18
	* Added Gentoo USE flag audacious-legacy for Audacious legacy support.

2007-11-16
	* Added support for Audacious 1.4.0 and legacy versions via
			--enable-audacious=yes|no|legacy.

2007-11-14
	* Fix compilation error with --disable-x11 (bug #1830373).
	* Bump doc stylesheet from 4.3 to 4.4.

2007-10-31
	* Fix mpd_smart bug #1822773.

2007-10-23
	* Externalize default config file: ${sysconfdir}/conky/conky.conf

2007-10-21
	* Initialize music_player_interval so built-in .conkyrc actual works.
	* Lower timed_thread minimum timing interval from 50 usecs to 10 usecs.
	* Separate timed thread asserts for clarity.
	* Remove ${tail /var/log/Xorg.0.log} from default text.
	* Update vim/nano syntax files.

2007-10-18
	* Conky 1.4.8 released.

2007-10-17
	* doc/man fixes 1810328 & 1813483.
	* struct alignment patch 1812924 (sohalt).

2007-10-02
	* Multiple mailbox patch (thanks Ben Kibbey).

2007-09-28
	* Small fix for $ibm_volume (thanks Kapil Hari Paranjape).
	* Patch so $tail can read from a fifo file descriptor (thanks Ben Kibbey).

2007-09-01
	* Improved performance slightly.
	* Added 'music_player_interval' config option to specify an update interval for
			music player threads (currently honored by mpd and audacious).
	* Fixed some minor memory leaks associated with SIGUSR1.
	* Zero out imap and pop3 stuff when the connection fails.

2007-08-31
	* _Really_ fix mpd SIGPIPE issues.
	* Fix timed thread race condition, seen esp. on new kernel scheduler (cfs).
	* Fix $audacious_title not being displayed when no length argument indicated.

2007-08-30
	* Conky 1.4.7 released.
	* Check for pkg-config >=0.19.
	* Use timed_thread for mpd.

2007-08-27
	* Fixed issue with SIGPIPE and mpd.
	* Updated COPYING (with more clarifications).

2007-08-14
	* Updated vim/nano syntax files.

2007-08-12
	* Added $hwmon var, similar to $i2c and $platform.

2007-08-12
	* Added var $platform which is similar to $i2c and accommodates the conversion
	  of many devices from /sys/bus/i2c/devices to /sys/bus/platform/devices.
	* Removed config item post_21_kernel since it forced all i2c device lookups
	  to go to /sys/bus/platform/devices and some people may need a mix of both
		i2c and platform devices.

2007-08-10
	* Clarifying licensing

2007-08-08
	* RSS support
	* Wireless support for Linux

2007-08-05
	* Conky 1.4.6 released
	* Updated to libmpdclient 0.13.0
	* Added 'post_21_kernel' config param to specify kernels 2.6.22 and newer
	so i2c works properly

2007-08-04
	* Fixed potential issue on FreeBSD when nprocs < 10 (thanks zotrix)
	* Added support for multiple batteries when using acpi (thanks Phil)
	* a bunch of code cleanups (thanks Psychon)
	* added max length paramater to mpd_title (thinks fow)
	* a number of small bug fixes

2007-07-15
	* Fix PID display, patch #1753934.  thanks sohalt.
	* Fix displaying 4 GB traffic after reloading network driver,
			patch #1754260.  thanks sohalt.

2007-06-21
	* Right-justify top/top_mem vars (pid/cpu/mem} so they align on the decimal.

2007-04-25
	* Added color[0-9] variable patch (thanks jieryn)

2007-04-05
	* Added if_empty patch (thanks Erik)
	* Added if_existing patch for string matching (thanks cromka)
	* Added hwmon support (thanks flitsch)
	* Some xmms2 updates (thanks sleipner)
	* Added $battery_percent and $battery_bar (thanks akash)

2007-02-25
	* OpenBSD support added to Conky (thanks hifi)
	* Updated mboxscan stuff (thanks calmar)

2007-02-25
	* Created branch/1.5 copy of trunk/conky1.  Removing all experimental
	  network code from trunk/conky1.

2007-02-14
	* Include missing mboxscan.h in conky.h.
	* Fixed signedness warnings in conky.c.

2007-02-11
	* Added buffer_text_size option to change the size of the buffer for
	things like $exec, $tail, et cetera
	* Added $mboxscan which lets you display the Subject and From fields
	from recent email in an mbox file
	* Disambiguated (is that a word?) $cpu docs

2007-01-14
	* Fallback to gettimeofday() when clock_gettime () not available (mac os).

2007-01-09
	* API change (timing in milliseconds) for dexter_timedsampler_new ().

2007-01-07
	* Add config.rpath (created by gettextize -copy) to distribution
	  to satisfy AM_ICONV.
	* Clean up some warnings; remove ftp.[ch] from src/Makefile.am.

2006-12-29
	* Update svn ebuild to new sourceforge url scheme.
		- requires deletion of existing wc: rm -rf /usr/portage/distfile/svn-src/conky/
	* Added head/tail rewrite patch (thanks Ryan Twitchell)
	* Added diskio read/write sf.net patch 1542880 (thanks Blondak)

2006-12-26
	* Clear conky vars on disconnect/failure to open files.

2006-12-23
	* Updated to libmpdclient 0.12.0

2006-12-22
	* client/server infrastructure and prototype for linux only (so far):
		- requires libdexter (http://sourceforge.net/projects/libdexter)
		and the dxt-sysinfo plugin (svn only at the moment).
	* new config items:
		- dexter_client yes/no
		- dexter_server yes/no
		- dexter_config /path/to/libdexter/config (default: $HOME/.dexterrc)
		- own_window_class <WM Class Name> (default: Conky)
			- replaces wm_class_name
		- own_window_title <Window Title> (default: <hostname> - conky)
	* removed config items:
		- wm_class_name (use own_window_class, same function)
	* configure changes:
	  --disable-network (default=yes) with auto-detection for libdexter.
		- remove useless --enable-proc-uptime (PROC_UPTIME never referenced).
			HAVE_SYSINFO and others determine if /proc/uptime is used.
		- silently disable xft, double-buffer and xdamage if no x11.
		- change enable/disable labels to reflect defaults accurately.
		- simplified compile-based checks for sysinfo/getloadavg and by moving
		  them into AC_CHECK_FUNCS.
	* allow decorated, own_window=yes windows to be given input focus by WM:
		- do not pass button clicks through to desktop in this scenario as conky
		  immediately loses focus.

2006-12-13
	* Clarify LGPL license on timed_thread modules.
	* Update NEWS files.

2006-12-12
	* Split battery variable into two:
		battery, e.g. "charging 75%" and
		battery_time, e.g. "3h 15m".
	* Conky 1.4.5 released.

2006-12-11
	* Close pop3/imap sockets.
	* Fix outstanding battery issues.

2006-12-10
	* Fix peek table bug with new portmon code.

2006-12-09
	* Replaced hash module used by libtcp-portmon with GLib's GHashTable,
	due to licensing issue noted by Fedora Core packagers.
	* Eliminated config items:
		min_port_monitors,
		min_port_monitor_connections
	* Added config item:
		max_port_monitor_connections

2006-11-30
	* Added $entropy_avail, $entropy_poolsize and $entropy_bar
	for the crypto freaks.  Idea suggested by Perttu Luukko
	<nuteater@users.sourceforge.net> in feature request 1497050.
	* Added max length specifier to audacious_title.  Closes
	feature request #1600631.

2006-11-28
	* Rearrange retry attempts in pop3 and imap code, removing sleep()
	calls which cause the whole process to sleep, not just the thread.

2006-11-22
	* Added max_specials config item with default 512.  This should
	close bug #1574523 for real this time.  Thanks to John Harrigan
	<jfharrigan@fedex.com> for this one.

2006-11-21
	* Changed autotools for subversion versioning.
	* Updated svn ebuild for gentoo.
	* Documentation updates for clarity, i.e. close bug #1599041.

2006-11-20
	* fix compile error with --disable-xdamage when Xdamage.h not present.

2006-11-18
	* fix bug where present rate var was not being read from acpi battery
	state file: /proc/acpi/battery/%s/state.

2006-11-15
	* Change linkstatus display for use_spacer.  Closes bug #1577580.

2006-11-14
	* Fix compile error with --disable-x11.
	* Add new timed thread abstraction routines.
	* Convert thread activity to timed threads, including
	texeci, imap, pop3, audacious.
	* Change memory vars from unsigned long to unsigned long long
	to fix reported overflow, e.g. swapmax >= 4Gb.

2006-11-13
	* Use pthread_cond_timedwait() instead of sleep() in audacious
	thread.  Will convert all worker threads to this timing method.

2006-11-12
	* Fix freebsd build error.
	* Minor changes to syntax files.
	* Conky 1.4.4 released.

2006-11-11
	* Add max_user_text to documentation.
	* Fixed BadWindow bugs (#1568366, #1588384).

2006-11-10
	* Remove on_bottom and xmms_player completely.
	* Closed ibm_temps bug #1591609.
	* Conky 1.4.3 released.

2006-11-09
	* Updated vim and nano syntax coloring scripts.
	* Added extras/ dir with syntax stuff to distribution tarball.

2006-11-08
	* Added new config item 'max_user_text' with default 16384,
	twice as large as previous hard-coded default of 8192 bytes.
	Increase as needed to accomodate large config files with a
	great deal of text.  This closes SF bug #1574523.

2006-11-07
	* Changes to configure.ac for pkg-config on x11/xext/xdamage,
	with fallback to conventional checks.
	* Fixed segmentation fault on SUGUSR1 bug.
	* Commented out Imlib2 from configure.ac since it's only partially
	implemented.

2006-11-04
	* Removed broken mldonkey and seti support.
	* Added Hellf[i]re's nano syntax coloring script to svn.

2006-11-03
	* Removed support for Xmms, BMP and Infopipe from conky.
	The Xmms and Bmp players are projects are dead and distros such
	as Gentoo are slating them for removal.
	* Added support for Audacious using new audacious vars.

2006-10-18
	* Implement WiFi signal level detection on FreeBSD (patch
	by Stepan Zastupov)

2006-10-04
	* Fix buffer overflow in parsing LC_ALL, LC_CTYPE and LANG
	environment variables and fix crash for users with locale
	name longer than 10 chars (repored by Michael Schwendt)

2006-09-30
	* --enable-debug added.
	* prevent libtool from adding its default CFLAGS

2006-09-28
	* Use pkg-config instead of xft-config.
	* Fix last line bug which had required padding text with extra blank line
	to see text on last line.

2006-09-01
	* Fix type-punning and "differ in signedness" warnings seen with
	gcc-4.1 -O2.

2006-08-27
	* Fix compilation errors when building with --diable-x11; bug #1547164

2006-08-12
	* Make configure script print summary info
	* Make `conky -v` show compiled-in features

2006-08-10
	* Added Spock's patches, adding hddtemp, goto and tab variables.

2006-07-13
	* Added tztime patch to show time in arbitrary time zones (thanks Ram
	Yalamanchili)

2006-06-07
	* Small battery fix (thanks Nexox, sf.net patch 1500014)
	* Fixed order of variables/objects in docs (thanks Peter Tarjan)

2006-05-27
	* Fixed a bug with $font

2006-05-24
	* Xdamage support for composite and pals

2006-05-23
	* CPU voltage support via $voltage_mv and $voltage_v (thanks to Peter
	Tarjan for the patch)

2006-05-21
	* SMP support for $freq and $freq_g (thanks to Peter Tarjan for the
	patch)

2006-05-17
	* Fixed issue with graphs not reaching all the way to the borders
	(sf.net bug 1470480)
	* Cleaned up units

2006-05-15
	* Conky 1.4.2 released

2006-05-13
	* GNU Iconv support added, new objects $iconv_start and $iconv_stop
	* Added some safety to the threading code

2006-05-09
	* Changed $font behavior so that the font persists past the next
	newline.  It can be set back to the default with $font with no args.
	(closes bug 1478676 on sf.net)

2006-05-08
	* Added simple POP3/IMAP mail clients

2006-04-23
	* Added support for PowerBook batteries
	* Fixed broken $if/$else stuff

2006-04-15
	* Added patch from Peter Tarjan to add support for IBM ACPI
	* Added xmms2 patch from Lassi Selander (sf.net patch 1469523)

2006-04-11
	* Removed sa_restorer crap (may fix some compile errors for some
	people)

2006-04-07
	* Added patch for adt746x fan/cpu speed for kernel >=2.6.12

2006-03-30
	* Added patch to support new port monitor REMOTESERVICE peekable.

2006-03-29
	* Scan port numbers as short.  Fixes debian bug# 359974.

2006-03-25
	* Added XMMS2 patch 1456203 from Lassi Selander
	* Added FreeBSD battery patch 1456008 from Petr Holub

2006-03-21
	* Fixed ${top(_mem)} related code on FreeBSD (with help of Petr
	Holub <hopet@users.sourceforge.net>)

2006-03-15
	* Removed bmp-infopipe dependency from 1.4.1 and 1.9999 ebuilds for Gentoo
	(Gentoo bug# 125226).
	* Fixed subversion ebuild for conky1 (1.9999) so it pulls the new trunk
	path for conky1.

2006-03-12
	* FreeBSD cpu info patch
	* Conky 1.4.1 released

2006-03-07
	* Fixed issue where some WM's don't control conky own_window windows.
	* Added newly-updated vim file detection and syntax hilighting files to svn.
	* Fixed issue with graphs resetting colours (sf.net bug #1420473)

2006-03-06
	* Fixed battery problems when charged
	* MPD code handles broken pipe now, instead of just killing conky
	* Switch from CVS to SVN.  Thanks SourceForge.

2006-03-05
	* Added patch to make $cpu stuff work on alpha (thanks Thomas Cort)
	http://bugs.gentoo.org/show_bug.cgi?id=122637#c3
	* Stop using override_redirect true -- conky back under WM control
	when using 'own_window yes'.
	* Fixed texeci breakage when forking to background is on

2006-02-14
	* Drastically simplified own_window=yes window creation code.
	* on_bottom and wm_class_name deprecated (they do nothing)

2006-02-13
	* Fixed typo bug in portmon code that caused incorrect monitor data
	to be displayed.

2006-02-12
	* Conky 1.4.0 released

2006-01-27
	* Cleaned up texeci code

2006-01-26
	* Added freedesktop.org extended window manager hints (EWMH)
	for window type NORMAL and state's STICKY/SKIP_PAGER/SKIP_TASKBAR.
	Fixes stacking order issues with freedesktop-compliant wm's,
	such as XFCE4+.

2006-01-25
	* Fixed stupid graph code (it still sucks) sf.net bug 1372962
	* Fixed $if_* stuff, sf.net bug 1401338 and 1400854
	* Fixed xmms.c code to load glib 1.2 shared object lib.

2006-01-11
	* Added xmms version 1 support.
	* Added bmp through 0.9.7.1 support.
	* Added config item xmms_player: none, xmms, bmp, audacious or
	infopipe.

2006-01-07
	* Added Audacious media player support.

2006-01-06
	* Fixed infopipe bug (select() affects timer as a side effect on
	Linux!)

2006-01-05
	* Added draw_graph_borders option
	* Added XMMS/BMP InfoPipe plugin support

2006-01-01
	* Conky 1.3.5 released

2005-12-31
	* Fixed bug with use_xft causing ignorance of font selection (sf.net
	bug 1387564)
	* Fixed issue with parsing of hex values for colours

2005-12-30
	* Added BMPx (http://beep-media-player.org/) support

2005-12-14
	* Fixed issues with execi stuff

2005-12-10
	* Added sf.net patch 1374576

2005-12-05
	* Fixed sf.net bug 1367745

2005-11-30
	* Fixed sf.net bugs 1369607, 1367735 and gentoo bug 113921,
	  all variations of the same array out of bounds issue.
	* "Fixed" code in fs.c and conky.c to make fs stats match those displayed by df (affects reporting against ext3 filesystems only)

2005-11-27
	* new code in linux.c and top.c to calculate CPU % correctly on 2.6 kernels.

2005-11-24
	* Fixed gentoo bug# 113219

2005-11-23
	* Added #define/#undef SIGNAL_BLOCKING in conky.c for experimenting
	with synchronous signal processing. set to #undef for previous behavior.
	* Use POSIX signal api's, not the ANSI signal().

2005-11-22
	* Fixed IP address bug (sf.net bug 1359055)

2005-11-16
	* Conky 1.3.4 released

2005-11-12
	* Replaced bitwise copy of tcp_connection_t with function
	copy_tcp_connection().
	* Changed call interfaces for get_acpi_fan(), get_acpi_ac_adapter(),
	get_freq(), get_freq_dynamic(), get_adt746x_cpu(), get_adt746x_fan(),
	eliminating all mallocs.  pkovacs.  See bug 1355470.

2005-11-11
	* moved hash sizing code into portmon lib, where it belongs
	* More mem leaks fixed.

2005-11-10
	* Added config items min_port_monitors / min_port_monitor_connections

2005-11-09
	* Cleaned up top code, bug fixes
	* Fixed some memory leaks

2005-11-08
	* Fix bug# 1351686.  Patch by boojit.
	* Fixed 1331576 (I think) with bad cpu usage reporting

2005-11-01
	* Documentation updates for compiling and port monitoring
	* Removed cairo stuff (it's useless)

2005-10-31
	* Added statfs sf.net patch 1344493

2005-10-30
	* Added tcp port monitor support (pkovacs)

2005-10-28
	* Added WM_CLASS patch from sf.net patch 1340825

2005-10-21
	* acpi segfault should be fixed (sf.net bug 1330893)
	* SIGUSR1 bug fixed? (sf.net bug 1330914)

2005-10-17
	* Ugly MPD mem leak fixed
	* Other mem leaks fixed
	* Fixed thing where conky exits if LC_ALL and friends isn't set
	* Conky 1.3.3 released

2005-10-13
	* Conky 1.3.2 released

2005-10-10
	* More MPD objects (sf.net patch 1319461)

2005-10-07
	* fixed mldonkey bug? sf.net bug 1316531

2005-09-30
	* Linkstatus patch from btlee on f.g.o (see
	http://forums.gentoo.org/viewtopic-p-2765647.html#2765647)

2005-09-29
	* Fixed build on FreeBSD for non-i386
	* Made it so top_mem doesn't show all the forks of one process

2005-09-27
	* Fixed small bug in config parsing (thanks robgrady, bug 1306032)

2005-09-24
	* Fixed bug where graphs/bars don't show when maximum_width is enabled

2005-09-15
	* Fixed right-alignment bug thanks to Pascal Eberhard
	* Applied patch 1291420 from sf.net
	* Fixed issue with whack graph data
	* Fixed issue with Conky quitting when a file fails to load

2005-09-11
	* Fixed bug with xft and double buffer in own window
	* 1.3.1 released

2005-09-04
	* Misc small bug fixes

2005-09-03
	* MPD patch (sf.net patch 1281108)
	* Fixed graph width bug

2005-08-31
	* FreeBSD support was added
	* 1.3.0 released

2005-08-27
	* added threaded execi, $texeci
	* feature freeze

2005-08-26
	* Fixed slight vertical misalignment of bars/graphs (sf.net 1273994)
	* Diskio fixes (sf.net 1274140)
	* $alignr and $alignc now have 25% more goodness! (sf.net bug 1273905)
	* Far better SMP support
	* Added support for i8k kernel driver, parsing information for dell inspiron laptops found in /proc/i8k (sf.net request 1256058)

2005-08-25
	* More own_window fixes
	* applied disk io patch (sf.net patch 1271691)
	* applied $freq fixes patch, adds new $freq_dyn (sf.net patch 1271633)
	* removed units from $freq* output
	* fix for graph config parsing
	* Added $head, fixed mem leak with $tail

2005-08-24
	* More configure and makefile updates
	* Added scale arg for net graphs
	* Fixed bug in own_window stuff--amazing fake transparency now works
	properly
	* added own_window_colour, own_window_transparent

2005-08-23
	* Added maximum_width

2005-08-22
	* Added $execibar and $execigraph

2005-08-21
	* Moved source into src/, moved docs into doc/
	* Updated makefiles

2005-08-20
	* Applied patch from zimba-tm, closes patch 1260225
	* Fixed ugly gradient bug.  closes bug 1255608
	* Added $voffset
	* Removed metar code.  It sucked.
	* Added $acpitempf for amooricans
	* $tail fixes

2005-08-12
	* Multiple unit additions and modifications

2005-08-07
	* mpd password patch from Joshua Gerrish
	* conky can run without X now, use --disable-x11 when configuring
=========================================================================
=========================================================================
2005-08-06
	* Conky 1.2 released

2005-08-05
	* small fixes
	* added CVS ebuild, huge thanks to Hopeless for this

2005-08-04
	* special thanks to Citizen_X and his patience
	* Citizen_X pwns
	* keep shakin' those big 'ol titties
	* Citizen_X
	* Citizen_X
	* Citizen_X
	* Citizen_X

2005-08-03
	* many small fixes, thanks to those who reported problems

2005-08-02
	* dramatically improved how conky handles fonts
	* fixed issues with graph args
	* fixed shades and outlines

2005-08-01
	* stabilized code
	* added gradients to graphs (very pretty)
	* things
	* added $font, yay
	* feature freeze; only bugfixes now

2005-07-30
	* finalized graphing code, see $cpugraph, $memgraph, $execgraph,
	$downspeedgraph, and $upspeedgraph
	* added override_utf8_locale option
	* poop
	* $tab patch from jack_mort on f.g.o

2005-07-28
	* Added new graphing code, such as $cpugraph
	* small fixes all round
	* stuff
	* things
	* added more mpd objects

2005-07-24
	* Conky now has UTF-8 support
	* Fixed $freq for those with CPU scaling
	* Fixed the problem with total_run_times
	* Fixed alignment of bars and lines and stuff
	* Reduced conky's memory usage (yay!)
	* Removed top_sort_cpu, added top_mem which sorts by mem usage instead
	of cpu

2005-07-17
	* Fixed a pile of bugs in configure script
	* Added proper checking for headers in configure script
	* Made METAR shit threaded so it would stop being retarded, also made
	it try more then once to update
	* Added $metar_tempf and ${i2c tempf} for americans

2005-07-16
	* Added option for Conky to update N times and quit, see
	total_run_times in conkyrc.sample
	* Added metar code for weather info, thanks to somebody on sf.net
	* Added $alignr and $alignc for right and centre alignment
	* Added wireless info and IP addr patch, thanks Bobby Beckmann,
	options $addr and $linkstatus (please test!), as well as fixed a mem
	leak in this patch
	* adt746x fix, thanks to dan-h on sf.net
	* Added mldonkey support patch, thanks Lucas Brutschy on sf.net
	* Added patch to allow hex colour values, thanks roiban adi on sf.net
	* Added if constructs patch, thanks Lucas Brutschy on sf.net
	* Fixed bug in tab code (hopefully for the last time)
	* Added option to sort by cpu or memory for top, see top_sort_cpu

2005-07-12
	* Added fix for battery charged state (thanks to Lukas Zapletal
	<lzap@seznam.cz>)

=========================================================================
=========================================================================

2005-07-05
	* Conky 1.1 released

2005-07-03
	* Added $mpd_bar and $mpd_bitrate
	* Some minor code cleanups prior to release
	* Fixed problem with Conky not compiling when XFT disabled
	* Fixed configure.in problems with Xdbe

2005-07-01
	* Fixed memory leak in MPD code
	* Added new $tail object (see conkyrc.sample) which loves to suck CPU
	and memory
	* Fixed more mem leaks

2005-06-30
	* Added use_spacer to config
	* Added $mpd_status
	* Added small fix for i2c from Filedil on forums.gentoo.org

2005-06-28
	* Made it possible to use tabs to right-justify (just add a bunch)
	* Added ${execbar} (see conkyrc.sample)

2005-06-26
	* Added memory % to top output
	* Added initial cairo backend (it's really quite useless at this stage actually, and I'm not sure if there is even any point to it)

2005-06-25
	* Conky now recognizes the tab character correctly
	* Added simple config option to print to stdout (out_to_console
	<yes/no>)

2005-06-23
	* Added top output.  Check the sample config.
	* Cleaned up code.

2005-06-22
	* Finished MPD support ($mpd_title, $mpd_artist, $mpd_album, $mpd_vol)
	* Removed NVCtrl code
	* Added noswap and i2c patches

=========================================================================
=========================================================================

2005-06-21
	* Version 1.0. Conky is born from the ashes of torsmo. Main site:
	http://conky.sf.net/
	* Added xwin patch
	* Added new feature for sample averaging of CPU and net info

2004-12-22
	* Version 0.18 released

2004-12-21
	* Fixed some double buffer + Xft stuff
	* Applied X-Mozilla-Status patch (thanks affinity)
	* Applied NVCtrl patch and modified it a bit (temperature monitoring
	  for nvdia-based graphics cards) (I couldn't test this so it may or
	  may not work or even compile) (thanks Dennis Frommknecht)
	* Applied fs_used_perc and fs_bar_free patch (thanks killfire [send me
	  mail, I didn't catch your name from sourceforge])
	* Applied patch that supports mailbox that is in some 'maildir' format
	  (thanks jolapache [send mail, I didn't catch your name from
	  sourceforge])
	* min -> m
	* Applied pad_percents patch (thanks JL Farinacci)
	* Fixed some stuff in acpi fan and acpi ac adapter
	* Optional XFT even when compiled in

2004-11-30
	* Applied utime patch (UTC time) (thanks David McCabe)

2004-11-29
	* Applied Xdbe patch, this includes double_buffer configuration and
	  -b command line option (thanks Bruce Merry)
	* Applied some other seti patch, not tested (thanks William DiPlacido)

2004-08-25
	* Applied netbsd patch (thanks Rui Paulo)
	* Applied cpu frequency patch (thanks William DiPlacido)
	* Applied adt746x patch (thanks Dennis Kaandorp)
	* Applied some other FreeBSD patch by the same guy

2004-07-31
	* Applied FreeBSD patch (thanks Roman Bogorodskiy)

2004-07-25
	* Xft support and xftfont configuration
	* rewrote some stuff, there might be some new bugs in old places

2004-07-24
	* I2C divisor from a file (thanks Falk Feuersenger)

2004-07-20
	* changed battery thing to ${battery <filename in
	  /proc/acpi/battery/>}
	* SETI@Home stuff (thanks Jarski)

2004-07-05
	* changed signal for config file reloading to SIGUSR1
	* mixer stuff, $mixer, $mixerl, $mixerr, $mixerbar, $mixerlbar,
	  $mixerrbar

2004-06-03
	* maybe fixed acpi battery thing when "present rate" isn't known

2004-06-01
	* fixed width for all bars, use like ${cpubar 4,50}

2004-05-25
	* Version 0.17 released

2004-05-23
	* battery number for ACPI battery (thanks Leszek Krupiñski)
	* default battery is now BAT0 instead of BAT1, set ${battery 1} if
	  the old battery thing worked
	* bug fix on load average reporting (thanks Leszek Krupiñski)
	* outlines to text, draw_outline and default_outline_color
	  configurations and $outlinecolor (thanks adi)
	* $acpifan, $acpiacadapter, $uptime_short (thanks adi)

2004-05-19
	* fixed a bug when starting after Opera (and some other programs)
	* sticky window
	* minimum_size

2004-05-18
	* added border_width configuration

2004-05-16
	* fixed zero length bar bug

2004-05-15
	* file system stats, $fs_bar, $fs_free, $fs_free_perc, $fs_size,
	  $fs_used
	* leaves ACPI temperature file open (faster)
	* -a option to change alignment on command line

2004-05-14
	* fixed ACPI temperature bug
	* border_margin configuration
	* ${execi <interval> <command>}, execute with specific interval
	* added possibility to manually set the position (-x and -y options)
	  (thanks to Gwenhael LE MOINE)
	* $buffers and $cached (thanks to Jeremy Burch)
	* WM_CLASS when drawing to own window (thanks to Gwenhael LE MOINE)

2004-05-14
	* Version 0.16 released

2004-05-13
	* $pre_exec, execute a shell command one time
	* preparsing of text (faster but more memory usage)
	* less system calls (faster)
	* APM things to $battery (untested)

2004-05-12
	* added $new_mails changed $mails to tell total mail count

2004-05-11
	* transparent window, own_window configuration, -o cmdline option
	* $exec, execute a shell command
	* $acpitemp, $battery - acpi stuff (not really tested)

2004-05-10
	* $loadavg, load average
	* $mails, unread local mails, mail_spool configuration

2004-05-09
	* Version 0.15 released

2004-05-06
	* SIGHUP reloads config file (thanks Jørgen P. Tjernø)
	* Some other stuff
